# Database cleanup

Clean your Odoo database from remnants of modules, models, columns and tables left by uninstalled modules (prior to 7.0) or a homebrew database upgrade to a new major version of Odoo.

Caution! This module is potentially harmful and can easily destroy the integrity of your data. Do not use if you are not entirely comfortable with the technical details of the Odoo data model of all the modules that have ever been installed on your database, and do not purge any module, model, column or table if you do not know exactly what you are doing.

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

After installation of this module, go to the Settings menu -> Technical -> Database cleanup. This menu is only available to members of the Access Rights group. Go through the modules, models, columns and tables entries under this menu (in that order) and find out if there is orphaned data in your database. You can either delete entries by line, or sweep all entries in one big step (if you are really confident).

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Therp BV

## Contributors

- Stefan Rijnhart <stefan@opener.amsterdam>
- Holger Brunn <hbrunn@therp.nl>
- Stéphane Mangin <stephane.mangin@camptocamp.com>
- 360ERP:
  - Andrea Stirpe

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/server-tools project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.